/*------------------------------------------------------------------
[Table of contents]

1. bbPress Overrides
  1.1. bbPress Overrides - Media Queries
-------------------------------------------------------------------*/
/*------------------------------------------------------------------*/
/**
 * 1. bbPress Overrides
 */
#bbpress-forums h2:first-child {
  font-size: calc((26 / var(--vikinger-font-size-base)) * 1rem);
}

#bbpress-forums .bbp-login-form label {
  width: auto;
}

#bbpress-forums .sidebar-menu-body .sidebar-menu-link {
  transition: color .25s ease-in-out, -webkit-transform .2s ease-in-out;
  transition: transform .2s ease-in-out, color .25s ease-in-out;
  transition: transform .2s ease-in-out, color .25s ease-in-out, -webkit-transform .2s ease-in-out;
}

#bbpress-forums .bbp-breadcrumb,
#bbpress-forums div.bbp-search-form {
  float: none;
}

#bbpress-forums .entry-title {
  font-size: calc((26 / var(--vikinger-font-size-base)) * 1rem);
  margin-bottom: 16px;
}

#bbpress-forums .vikinger-forum-search-bar .vikinger-create-discussion-button {
  padding: 0 32px;
}

#bbpress-forums .vikinger-forum-search-bar #subscription-toggle {
  margin-left: 16px;
}

#bbpress-forums #bbp-user-subscriptions #subscription-toggle,
#bbpress-forums #bbp-user-favorites #favorite-toggle {
  display: none;
}

#bbpress-forums .bbp-user-section .bbp-template-notice:last-child {
  margin-bottom: 0;
}

#bbpress-forums .bbp-user-section + .entry-title {
  margin-top: 64px;
}

#bbpress-forums #subscription-toggle,
#bbpress-forums #favorite-toggle {
  float: none;
  display: block;
}

#bbpress-forums #subscription-toggle span,
#bbpress-forums #favorite-toggle span {
  display: block;
  height: 48px;
  border-radius: 10px;
  background-color: var(--color-box-background);
  box-shadow: var(--color-overbox-shadow);
  transition: box-shadow .2s ease-in-out, background-color .2s ease-in-out;
}

#bbpress-forums #subscription-toggle span:hover a, #bbpress-forums #subscription-toggle span.is-subscribed a, #bbpress-forums #subscription-toggle span.is-favorite a,
#bbpress-forums #favorite-toggle span:hover a,
#bbpress-forums #favorite-toggle span.is-subscribed a,
#bbpress-forums #favorite-toggle span.is-favorite a {
  color: #fff;
}

#bbpress-forums #subscription-toggle span a,
#bbpress-forums #favorite-toggle span a {
  display: block;
  padding: 0 32px;
  color: var(--color-text-alt-2);
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 700;
  line-height: 48px;
  text-align: center;
  transition: color .2s ease-in-out;
}

#bbpress-forums #subscription-toggle span:hover, #bbpress-forums #subscription-toggle span.is-subscribed {
  background-color: var(--color-secondary);
  box-shadow: var(--color-secondary-shadow);
}

#bbpress-forums #favorite-toggle span:hover, #bbpress-forums #favorite-toggle span.is-favorite {
  background-color: var(--color-primary);
  box-shadow: var(--color-primary-shadow);
}

#bbpress-forums .bbp-topic-split,
#bbpress-forums .bbp-reply-move,
#bbpress-forums .bbp-topic-merge {
  margin-top: 32px;
}

#bbpress-forums .vikinger-forum-replies {
  display: flex;
  flex-wrap: nowrap;
}

#bbpress-forums .vikinger-forum-replies .vikinger-forum-replies-posts {
  width: 884px;
  margin-right: 16px;
}

#bbpress-forums .vikinger-forum-replies .vikinger-forum-replies-sidebar {
  width: 284px;
  margin-top: 40px;
}

#bbpress-forums .vikinger-forum-replies .vikinger-forum-replies-sidebar > * {
  margin-bottom: 16px;
}

#bbpress-forums .vikinger-forum-replies .vikinger-forum-replies-sidebar > *:last-child {
  margin-bottom: 0;
}

#bbpress-forums .vikinger-forum-replies .vikinger-forum-replies-sidebar-actions {
  display: -ms-flexbox;
  display: flex;
}

#bbpress-forums .vikinger-forum-replies .vikinger-forum-replies-sidebar-actions > * {
  width: 100%;
}

#bbpress-forums .vikinger-forum-replies .vikinger-forum-replies-sidebar-actions > *:first-child {
  margin-right: 12px;
}

#bbpress-forums .vikinger-forum-topic-tags {
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
}

#bbpress-forums ul.bbp-replies,
#bbpress-forums ul.bbp-search-results {
  border: none;
  margin-bottom: 0;
}

#bbpress-forums div.bbp-reply-header,
#bbpress-forums div.bbp-forum-header,
#bbpress-forums div.bbp-topic-header {
  padding: 22px 28px;
  background-color: var(--color-box-background-alt);
  border: none;
}

#bbpress-forums div.bbp-reply-header:first-child,
#bbpress-forums div.bbp-forum-header:first-child,
#bbpress-forums div.bbp-topic-header:first-child {
  border-top-left-radius: 12px;
  border-top-right-radius: 12px;
}

#bbpress-forums div.bbp-forum-header .bbp-meta .bbp-forum-post-date {
  color: var(--color-text-alt);
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 500;
}

#bbpress-forums div.bbp-forum-header .bbp-meta .bbp-forum-permalink {
  color: var(--color-text);
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 700;
  transition: color .2s ease-in-out;
}

#bbpress-forums div.bbp-forum-header .bbp-meta .bbp-forum-permalink:hover {
  color: var(--color-primary);
}

#bbpress-forums div.bbp-forum-header .bbp-forum-title {
  color: var(--color-text);
}

#bbpress-forums div.bbp-forum-header .bbp-forum-title a {
  color: var(--color-primary);
}

#bbpress-forums div.bbp-topic-header .bbp-meta .bbp-topic-post-date {
  color: var(--color-text-alt);
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 500;
}

#bbpress-forums div.bbp-topic-header .bbp-meta .bbp-topic-permalink {
  color: var(--color-text);
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 700;
  transition: color .2s ease-in-out;
}

#bbpress-forums div.bbp-topic-header .bbp-meta .bbp-topic-permalink:hover {
  color: var(--color-primary);
}

#bbpress-forums div.bbp-topic-header .bbp-topic-title {
  color: var(--color-text);
}

#bbpress-forums div.bbp-topic-header .bbp-topic-title a {
  color: var(--color-primary);
}

#bbpress-forums div.bbp-topic-header .bbp-topic-title .bbp-topic-title-meta {
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
}

#bbpress-forums div.bbp-topic-header .bbp-topic-title .bbp-topic-title-meta a {
  font-weight: 700;
}

#bbpress-forums div.bbp-reply-header .bbp-meta {
  width: 100%;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

#bbpress-forums div.bbp-reply-header .bbp-meta .bbp-reply-post-date {
  color: var(--color-text-alt);
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 500;
}

#bbpress-forums div.bbp-reply-header .bbp-meta .bbp-header {
  display: block;
  color: var(--color-text-alt);
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 500;
}

#bbpress-forums div.bbp-reply-header .bbp-meta .bbp-header .bbp-topic-permalink {
  color: var(--color-primary);
  font-weight: 700;
}

#bbpress-forums div.bbp-reply-header .bbp-meta .bbp-reply-permalink,
#bbpress-forums div.bbp-reply-header .bbp-meta .bbp-admin-links {
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 700;
}

#bbpress-forums div.bbp-reply-header .bbp-meta .bbp-reply-permalink {
  color: var(--color-text);
  transition: color .2s ease-in-out;
}

#bbpress-forums div.bbp-reply-header .bbp-meta .bbp-reply-permalink:hover {
  color: var(--color-primary);
}

#bbpress-forums div.bbp-reply-header .bbp-meta .bbp-admin-links {
  color: var(--color-text-alt-2);
}

#bbpress-forums div.bbp-reply-header .bbp-meta .bbp-admin-links a {
  color: var(--color-text-alt-2);
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 700;
  text-transform: none;
  transition: color .2s ease-in-out;
}

#bbpress-forums div.bbp-reply-header .bbp-meta .bbp-admin-links a:hover {
  color: var(--color-text);
}

#bbpress-forums div.bbp-topic-author,
#bbpress-forums div.bbp-reply-author {
  display: flex;
  flex-direction: column;
  align-items: center;
  flex-shrink: 0;
  float: none;
  width: 156px;
  padding-right: 28px;
}

#bbpress-forums div.bbp-topic-author .bbp-reply-ip,
#bbpress-forums div.bbp-reply-author .bbp-reply-ip {
  margin-top: 4px;
}

#bbpress-forums div.bbp-topic-author .bbp-reply-ip span.bbp-author-ip,
#bbpress-forums div.bbp-reply-author .bbp-reply-ip span.bbp-author-ip {
  color: var(--color-text-alt);
  font-size: calc((12 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 500;
}

#bbpress-forums div.bbp-topic-author .gamipress-bbpress-achievements,
#bbpress-forums div.bbp-reply-author .gamipress-bbpress-achievements {
  margin-top: 4px;
}

#bbpress-forums div.bbp-topic-author .gamipress-bbpress-points,
#bbpress-forums div.bbp-reply-author .gamipress-bbpress-points {
  margin: 8px 0;
}

#bbpress-forums div.bbp-topic-author .gamipress-bbpress-user-points,
#bbpress-forums div.bbp-topic-author .gamipress-bbpress-points-label,
#bbpress-forums div.bbp-reply-author .gamipress-bbpress-user-points,
#bbpress-forums div.bbp-reply-author .gamipress-bbpress-points-label {
  color: var(--color-text);
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 500;
}

#bbpress-forums div.bbp-topic-author .bpbm-private-message-link-buddypress,
#bbpress-forums div.bbp-reply-author .bpbm-private-message-link-buddypress {
  color: var(--color-text-alt);
  font-size: calc((12 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 500;
}

#bbpress-forums div.bbp-topic-author .bpbm-private-message-link-buddypress:hover,
#bbpress-forums div.bbp-reply-author .bpbm-private-message-link-buddypress:hover {
  color: var(--color-primary-dark);
}

#bbpress-forums div.bbp-topic-content,
#bbpress-forums div.bbp-reply-content {
  width: 100%;
  padding: 0;
  margin-left: 0;
}

#bbpress-forums div.bbp-topic-content > *,
#bbpress-forums div.bbp-reply-content > * {
  margin-top: 24px;
}

#bbpress-forums div.bbp-topic-content > *:first-child,
#bbpress-forums div.bbp-reply-content > *:first-child {
  margin-top: 0;
}

#bbpress-forums div.bbp-topic-content p,
#bbpress-forums div.bbp-reply-content p {
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 500;
  line-height: 1.7142857143em;
  word-break: break-word;
}

#bbpress-forums div.bbp-topic-content p img,
#bbpress-forums div.bbp-reply-content p img {
  margin-top: 24px;
}

#bbpress-forums div.bbp-topic-content a,
#bbpress-forums div.bbp-reply-content a {
  font-weight: 600;
}

#bbpress-forums div.bbp-topic-content ul, #bbpress-forums div.bbp-topic-content ol,
#bbpress-forums div.bbp-reply-content ul,
#bbpress-forums div.bbp-reply-content ol {
  margin-top: 24px;
  padding-left: 20px;
}

#bbpress-forums div.bbp-topic-content ul ul, #bbpress-forums div.bbp-topic-content ul ol, #bbpress-forums div.bbp-topic-content ol ul, #bbpress-forums div.bbp-topic-content ol ol,
#bbpress-forums div.bbp-reply-content ul ul,
#bbpress-forums div.bbp-reply-content ul ol,
#bbpress-forums div.bbp-reply-content ol ul,
#bbpress-forums div.bbp-reply-content ol ol {
  padding-left: 0;
  margin: 18px;
}

#bbpress-forums div.bbp-topic-content ul li, #bbpress-forums div.bbp-topic-content ol li,
#bbpress-forums div.bbp-reply-content ul li,
#bbpress-forums div.bbp-reply-content ol li {
  margin-bottom: 16px;
  display: list-item;
  color: var(--color-text);
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 500;
}

#bbpress-forums div.bbp-topic-content ul li:last-child, #bbpress-forums div.bbp-topic-content ol li:last-child,
#bbpress-forums div.bbp-reply-content ul li:last-child,
#bbpress-forums div.bbp-reply-content ol li:last-child {
  margin-bottom: 0;
}

#bbpress-forums div.bbp-topic-content ul,
#bbpress-forums div.bbp-reply-content ul {
  list-style: disc;
}

#bbpress-forums div.bbp-topic-content ul ul,
#bbpress-forums div.bbp-reply-content ul ul {
  list-style: circle;
}

#bbpress-forums div.bbp-topic-content ul ol,
#bbpress-forums div.bbp-reply-content ul ol {
  list-style: lower-alpha;
}

#bbpress-forums div.bbp-topic-content ol,
#bbpress-forums div.bbp-reply-content ol {
  list-style: decimal;
}

#bbpress-forums div.bbp-topic-content ol ul,
#bbpress-forums div.bbp-reply-content ol ul {
  list-style: circle;
}

#bbpress-forums div.bbp-topic-content ol ol,
#bbpress-forums div.bbp-reply-content ol ol {
  list-style: lower-alpha;
}

#bbpress-forums div.bbp-topic-content blockquote,
#bbpress-forums div.bbp-reply-content blockquote {
  border-radius: 12px;
  box-shadow: var(--color-overbox-shadow);
  padding: 24px 28px 24px 46px;
  position: relative;
}

#bbpress-forums div.bbp-topic-content blockquote::before,
#bbpress-forums div.bbp-reply-content blockquote::before {
  content: '"';
  color: var(--color-primary);
  font-style: italic;
  font-size: calc((60 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 700;
  position: absolute;
  top: 40px;
  left: 8px;
}

#bbpress-forums div.bbp-topic-content blockquote p,
#bbpress-forums div.bbp-reply-content blockquote p {
  font-style: italic;
}

#bbpress-forums div.bbp-topic-content pre,
#bbpress-forums div.bbp-reply-content pre {
  background-color: var(--color-box-background);
  border: none;
}

#bbpress-forums div.bbp-topic-content pre code,
#bbpress-forums div.bbp-reply-content pre code {
  padding: 12px;
  border: 1px solid var(--color-border);
  border-radius: 8px;
  background-color: var(--color-box-background-alt);
  box-shadow: var(--color-overbox-shadow);
  color: var(--color-text);
}

#bbpress-forums div.bbp-topic-content .vikinger-forum-media-wrap,
#bbpress-forums div.bbp-reply-content .vikinger-forum-media-wrap {
  position: relative;
  padding-top: 56.25%;
}

#bbpress-forums div.bbp-topic-content .vikinger-forum-media-wrap iframe,
#bbpress-forums div.bbp-reply-content .vikinger-forum-media-wrap iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

#bbpress-forums div.bbp-topic-content ul.bbp-topic-revision-log,
#bbpress-forums div.bbp-topic-content ul.bbp-reply-revision-log,
#bbpress-forums div.bbp-reply-content ul.bbp-topic-revision-log,
#bbpress-forums div.bbp-reply-content ul.bbp-reply-revision-log {
  margin-top: 24px;
  padding: 12px 0 0;
  border-top: 1px solid var(--color-divider);
  font-size: calc((12 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 500;
}

#bbpress-forums div.bbp-topic-content ul.bbp-topic-revision-log .bbp-topic-revision-log-item,
#bbpress-forums div.bbp-topic-content ul.bbp-topic-revision-log .bbp-reply-revision-log-item,
#bbpress-forums div.bbp-topic-content ul.bbp-reply-revision-log .bbp-topic-revision-log-item,
#bbpress-forums div.bbp-topic-content ul.bbp-reply-revision-log .bbp-reply-revision-log-item,
#bbpress-forums div.bbp-reply-content ul.bbp-topic-revision-log .bbp-topic-revision-log-item,
#bbpress-forums div.bbp-reply-content ul.bbp-topic-revision-log .bbp-reply-revision-log-item,
#bbpress-forums div.bbp-reply-content ul.bbp-reply-revision-log .bbp-topic-revision-log-item,
#bbpress-forums div.bbp-reply-content ul.bbp-reply-revision-log .bbp-reply-revision-log-item {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  margin-bottom: 6px;
  color: var(--color-text-alt);
}

#bbpress-forums div.bbp-topic-content ul.bbp-topic-revision-log .bbp-topic-revision-log-item:last-child,
#bbpress-forums div.bbp-topic-content ul.bbp-topic-revision-log .bbp-reply-revision-log-item:last-child,
#bbpress-forums div.bbp-topic-content ul.bbp-reply-revision-log .bbp-topic-revision-log-item:last-child,
#bbpress-forums div.bbp-topic-content ul.bbp-reply-revision-log .bbp-reply-revision-log-item:last-child,
#bbpress-forums div.bbp-reply-content ul.bbp-topic-revision-log .bbp-topic-revision-log-item:last-child,
#bbpress-forums div.bbp-reply-content ul.bbp-topic-revision-log .bbp-reply-revision-log-item:last-child,
#bbpress-forums div.bbp-reply-content ul.bbp-reply-revision-log .bbp-topic-revision-log-item:last-child,
#bbpress-forums div.bbp-reply-content ul.bbp-reply-revision-log .bbp-reply-revision-log-item:last-child {
  margin-bottom: 0;
}

#bbpress-forums div.bbp-topic-content ul.bbp-topic-revision-log .bbp-topic-revision-log-item .vikinger-forum-reply-revision-author-avatar,
#bbpress-forums div.bbp-topic-content ul.bbp-topic-revision-log .bbp-reply-revision-log-item .vikinger-forum-reply-revision-author-avatar,
#bbpress-forums div.bbp-topic-content ul.bbp-reply-revision-log .bbp-topic-revision-log-item .vikinger-forum-reply-revision-author-avatar,
#bbpress-forums div.bbp-topic-content ul.bbp-reply-revision-log .bbp-reply-revision-log-item .vikinger-forum-reply-revision-author-avatar,
#bbpress-forums div.bbp-reply-content ul.bbp-topic-revision-log .bbp-topic-revision-log-item .vikinger-forum-reply-revision-author-avatar,
#bbpress-forums div.bbp-reply-content ul.bbp-topic-revision-log .bbp-reply-revision-log-item .vikinger-forum-reply-revision-author-avatar,
#bbpress-forums div.bbp-reply-content ul.bbp-reply-revision-log .bbp-topic-revision-log-item .vikinger-forum-reply-revision-author-avatar,
#bbpress-forums div.bbp-reply-content ul.bbp-reply-revision-log .bbp-reply-revision-log-item .vikinger-forum-reply-revision-author-avatar {
  margin-left: 4px;
}

#bbpress-forums div.bbp-topic-content ul.bbp-topic-revision-log .bbp-topic-revision-log-item .vikinger-forum-reply-revision-author-title,
#bbpress-forums div.bbp-topic-content ul.bbp-topic-revision-log .bbp-reply-revision-log-item .vikinger-forum-reply-revision-author-title,
#bbpress-forums div.bbp-topic-content ul.bbp-reply-revision-log .bbp-topic-revision-log-item .vikinger-forum-reply-revision-author-title,
#bbpress-forums div.bbp-topic-content ul.bbp-reply-revision-log .bbp-reply-revision-log-item .vikinger-forum-reply-revision-author-title,
#bbpress-forums div.bbp-reply-content ul.bbp-topic-revision-log .bbp-topic-revision-log-item .vikinger-forum-reply-revision-author-title,
#bbpress-forums div.bbp-reply-content ul.bbp-topic-revision-log .bbp-reply-revision-log-item .vikinger-forum-reply-revision-author-title,
#bbpress-forums div.bbp-reply-content ul.bbp-reply-revision-log .bbp-topic-revision-log-item .vikinger-forum-reply-revision-author-title,
#bbpress-forums div.bbp-reply-content ul.bbp-reply-revision-log .bbp-reply-revision-log-item .vikinger-forum-reply-revision-author-title {
  margin-left: 4px;
  color: var(--color-primary-dark);
  font-weight: 700;
}

#bbpress-forums li.bbp-header {
  padding: 14px 28px;
  background-color: transparent;
  border: none;
  color: var(--color-text);
  font-size: calc((12 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 700;
  line-height: 1em;
  text-transform: uppercase;
}

#bbpress-forums li.bbp-header .forum-titles .bbp-forum-topic-count,
#bbpress-forums li.bbp-header .forum-titles .bbp-forum-reply-count,
#bbpress-forums li.bbp-header .forum-titles .bbp-topic-voice-count,
#bbpress-forums li.bbp-header .forum-titles .bbp-topic-reply-count {
  padding: 0;
}

#bbpress-forums li.bbp-header .forum-titles .bbp-forum-freshness,
#bbpress-forums li.bbp-header .forum-titles .bbp-topic-freshness {
  text-align: left;
}

#bbpress-forums li.bbp-header .bbp-search-author,
#bbpress-forums li.bbp-header .bbp-reply-author {
  display: block;
  width: 156px;
  text-align: left;
}

#bbpress-forums li.bbp-header .bbp-search-content,
#bbpress-forums li.bbp-header .bbp-reply-content {
  margin-left: 0;
}

#bbpress-forums li.bbp-body {
  border-radius: 12px;
}

#bbpress-forums li.bbp-body ul.hentry,
#bbpress-forums li.bbp-body div.hentry {
  display: -ms-flexbox;
  display: flex;
  padding: 28px 28px 32px;
}

#bbpress-forums li.bbp-body ul.hentry.status-spam,
#bbpress-forums li.bbp-body div.hentry.status-spam {
  background-color: rgba(253, 67, 80, 0.1);
}

#bbpress-forums li.bbp-body ul.hentry.status-spam.odd,
#bbpress-forums li.bbp-body div.hentry.status-spam.odd {
  background-color: rgba(253, 67, 80, 0.1);
}

#bbpress-forums li.bbp-body ul.hentry.status-closed a,
#bbpress-forums li.bbp-body div.hentry.status-closed a {
  color: var(--color-text);
}

#bbpress-forums li.bbp-body ul.hentry.status-closed .forum-topic-meta-author-title,
#bbpress-forums li.bbp-body div.hentry.status-closed .forum-topic-meta-author-title {
  color: var(--color-primary);
}

#bbpress-forums li.bbp-body ul.hentry.odd,
#bbpress-forums li.bbp-body div.hentry.odd {
  background-color: var(--color-box-background);
}

#bbpress-forums li.bbp-body ul.hentry.even,
#bbpress-forums li.bbp-body div.hentry.even {
  background-color: var(--color-box-background-alt);
}

#bbpress-forums li.bbp-body ul.hentry:last-child,
#bbpress-forums li.bbp-body div.hentry:last-child {
  border-bottom-left-radius: 12px;
  border-bottom-right-radius: 12px;
}

#bbpress-forums li.bbp-body ul.forum,
#bbpress-forums li.bbp-body ul.topic {
  display: flex;
  align-items: center;
  padding: 32px 28px;
  border: none;
  background-color: var(--color-box-background-alt);
}

#bbpress-forums li.bbp-body ul.forum:first-child,
#bbpress-forums li.bbp-body ul.topic:first-child {
  border-top-left-radius: 12px;
  border-top-right-radius: 12px;
}

#bbpress-forums li.bbp-body ul.forum:last-child,
#bbpress-forums li.bbp-body ul.topic:last-child {
  border-bottom-left-radius: 12px;
  border-bottom-right-radius: 12px;
}

#bbpress-forums li.bbp-body ul.forum.odd,
#bbpress-forums li.bbp-body ul.topic.odd {
  background-color: var(--color-box-background);
}

#bbpress-forums li.bbp-body ul.topic.super-sticky, #bbpress-forums li.bbp-body ul.topic.sticky {
  background-color: var(--color-box-background) !important;
}

#bbpress-forums li.bbp-body ul.topic.super-sticky.even, #bbpress-forums li.bbp-body ul.topic.sticky.even {
  background-color: var(--color-box-background-alt) !important;
}

#bbpress-forums li.bbp-body ul.topic li.bbp-topic-title {
  font-size: calc((16 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 700;
}

#bbpress-forums li.bbp-body ul.topic li.bbp-topic-title .bbp-topic-permalink {
  line-height: 20px;
}

#bbpress-forums li.bbp-body ul.topic li.bbp-topic-title .bbp-topic-permalink .vikinger-forum-pinned-tag,
#bbpress-forums li.bbp-body ul.topic li.bbp-topic-title .bbp-topic-permalink .vikinger-forum-closed-tag {
  display: inline-block;
  height: 20px;
  padding: 0 8px;
  margin-right: 8px;
  border-radius: 200px;
  color: #fff;
  font-size: calc((12 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 700;
  text-transform: uppercase;
  line-height: 20px;
}

#bbpress-forums li.bbp-body ul.topic li.bbp-topic-title .bbp-topic-permalink .vikinger-forum-pinned-tag {
  background-color: var(--color-primary);
}

#bbpress-forums li.bbp-body ul.topic li.bbp-topic-title .bbp-topic-permalink .vikinger-forum-closed-tag {
  background-color: var(--color-tertiary);
}

#bbpress-forums li.bbp-body ul.topic li.bbp-topic-title .bbp-topic-meta {
  display: -ms-flexbox;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  margin: 8px 0 0 0;
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 500;
}

#bbpress-forums li.bbp-body ul.topic li.bbp-topic-title .bbp-topic-meta a {
  color: var(--color-primary-dark);
  font-weight: 700;
}

#bbpress-forums li.bbp-body ul.topic li.bbp-topic-title .bbp-topic-meta .forum-topic-meta-author {
  margin: 0 6px;
}

#bbpress-forums li.bbp-body .bbp-forum-topic-count,
#bbpress-forums li.bbp-body .bbp-forum-reply-count,
#bbpress-forums li.bbp-body .bbp-forum-freshness,
#bbpress-forums li.bbp-body .bbp-topic-voice-count,
#bbpress-forums li.bbp-body .bbp-topic-reply-count,
#bbpress-forums li.bbp-body .bbp-topic-freshness {
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
}

#bbpress-forums li.bbp-body .bbp-forum-topic-count,
#bbpress-forums li.bbp-body .bbp-forum-reply-count,
#bbpress-forums li.bbp-body .bbp-topic-voice-count,
#bbpress-forums li.bbp-body .bbp-topic-reply-count {
  font-weight: 700;
}

#bbpress-forums li.bbp-body .bbp-forum-freshness,
#bbpress-forums li.bbp-body .bbp-topic-freshness {
  color: var(--color-text-alt);
  font-weight: 500;
  text-align: left;
}

#bbpress-forums .vikinger-forum-info-wrap {
  display: flex;
  align-items: center;
}

#bbpress-forums .vikinger-forum-info-wrap .vikinger-forum-thumbnail {
  display: block;
  margin-right: 28px;
}

#bbpress-forums .vikinger-forum-info-wrap .user-avatar,
#bbpress-forums .vikinger-forum-info-wrap .user-avatar-circle {
  margin-right: 32px;
}

#bbpress-forums .vikinger-forum-info-wrap .vikinger-forum-info .bbp-forum-title {
  font-size: calc((18 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 700;
  line-height: 1.3333333333em;
}

#bbpress-forums .vikinger-forum-info-wrap .vikinger-forum-info .bbp-forum-content {
  margin: 8px 0 0;
  padding: 0;
  color: var(--color-text);
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 500;
  line-height: 1.4285714286em;
}

#bbpress-forums .bbp-forums-list {
  border: none;
}

#bbpress-forums .bbp-forums-list .bbp-forum {
  display: block;
  margin-top: 12px;
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 700;
}

#bbpress-forums .bbp-forums-list .bbp-forum.css-sep:not(:last-child)::after {
  display: none;
}

#bbpress-forums .bbp-topic-form,
#bbpress-forums .bbp-reply-form {
  margin-top: 32px;
}

#bbpress-forums div.bbp-submit-wrapper {
  float: none;
  margin-top: 28px;
  display: flex;
  justify-content: flex-end;
}

#bbp-cancel-reply-to-link,
#bbpress-forums div.bbp-submit-wrapper .button {
  width: auto;
  padding: 0 48px;
}

#bbp-cancel-reply-to-link + .button {
  margin-left: 12px;
}

#bbpress-forums .wp-editor-container,
#bbpress-forums .quicktags-toolbar {
  border-top-left-radius: 12px;
  border-top-right-radius: 12px;
  border-color: var(--color-border);
}

#bbpress-forums .wp-editor-container {
  border-bottom-left-radius: 12px;
  border-bottom-right-radius: 12px;
}

#bbpress-forums .quicktags-toolbar {
  background-color: var(--color-box-background-alt);
}

#bbpress-forums div.bbp-the-content-wrapper {
  margin: 28px 0 0;
}

#bbpress-forums div.bbp-the-content-wrapper div.quicktags-toolbar {
  padding: 0 12px;
}

#bbpress-forums div.bbp-the-content-wrapper input[type="button"] {
  color: var(--color-text);
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 700;
}

#bbpress-forums div.bbp-the-content-wrapper input[type="button"]:hover {
  color: var(--color-primary);
  border-color: transparent;
  background-color: transparent;
}

#bbpress-forums div.bbp-the-content-wrapper .wp-editor-area {
  font-family: var(--vikinger-font-family-primary);
}

#bbpress-forums div.bbp-the-content-wrapper textarea.bbp-the-content {
  padding: 14px 18px;
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
}

#bbpress-forums fieldset.bbp-form {
  border: none;
  padding: 0;
  margin: 0;
}

#bbpress-forums fieldset.bbp-form#bbp-edit-topic-tag fieldset.bbp-form label {
  width: auto;
}

#bbpress-forums fieldset.bbp-form legend {
  color: var(--color-text);
  font-family: var(--vikinger-font-family-primary);
  font-size: calc((26 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 700;
  line-height: 1.1em;
}

#bbpress-forums fieldset.bbp-form legend + .bbp-template-notice,
#bbpress-forums fieldset.bbp-form legend + .form-item {
  margin-top: 0;
}

#bbpress-forums fieldset.bbp-form .bbp-form + .bbp-form {
  margin-top: 32px;
}

#bbpress-forums fieldset.bbp-form .bbp-form legend {
  margin-bottom: 32px;
}

#bbpress-forums fieldset.bbp-form input,
#bbpress-forums fieldset.bbp-form select {
  margin-bottom: 0;
}

#bbpress-forums fieldset.bbp-form select#bbp_forum_id {
  max-width: 100%;
}

#bbpress-forums fieldset.bbp-form .form-row {
  margin-top: 28px;
}

#bbpress-forums fieldset.bbp-form .form-row .form-item {
  margin-top: 0;
}

#bbpress-forums fieldset.bbp-form .form-item {
  margin-top: 28px;
}

#bbpress-forums fieldset.bbp-form .form-item:first-child {
  margin-top: 0;
}

#bbpress-forums fieldset.bbp-form .form-select select {
  height: 100%;
  padding: 0 40px 0 20px;
}

#bbpress-forums fieldset.bbp-form .form-input.small input {
  height: 48px;
  padding: 0 18px;
}

#bbpress-forums .vikinger-forum-topic-form-wrap {
  margin-top: 28px;
  padding: 32px 28px;
  border-radius: 12px;
  background-color: var(--color-box-background);
  box-shadow: var(--color-box-shadow);
}

#bbpress-forums .vikinger-forum-topic-form-wrap *:first-child {
  margin-top: 0;
}

#bbpress-forums .bbp-footer {
  display: none;
}

#bbpress-forums .bbp-breadcrumb p {
  font-size: calc((12 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 700;
  line-height: 1.5em;
}

#bbpress-forums .bbp-breadcrumb p a {
  font-weight: 700;
}

#bbpress-forums .bbp-breadcrumb p .bbp-breadcrumb-sep {
  font-size: calc((16 / var(--vikinger-font-size-base)) * 1rem);
  margin: 0 4px;
}

#bbpress-forums .section-filters-bar {
  margin-top: 28px;
}

#bbpress-forums #bbp-search-form #bbp_search {
  display: block;
  width: 100%;
}

#bbpress-forums #message,
#bbpress-forums div.bbp-template-notice {
  padding: 14px 18px;
  border: 1px solid var(--color-secondary);
  background-color: var(--color-box-background);
  box-shadow: var(--color-box-shadow);
  border-radius: 12px;
  position: relative;
}

#bbpress-forums #message + .bbp-pagination,
#bbpress-forums div.bbp-template-notice + .bbp-pagination {
  margin-top: 0;
}

#bbpress-forums #message.info,
#bbpress-forums div.bbp-template-notice.info {
  border: 1px solid var(--color-primary);
}

#bbpress-forums #message.info::before,
#bbpress-forums div.bbp-template-notice.info::before {
  background-color: var(--color-notice-overlay-background-primary);
}

#bbpress-forums #message.error,
#bbpress-forums div.bbp-template-notice.error {
  border: 1px solid var(--color-tertiary);
}

#bbpress-forums #message.error::before,
#bbpress-forums div.bbp-template-notice.error::before {
  background-color: var(--color-notice-overlay-background-tertiary);
}

#bbpress-forums #message::before,
#bbpress-forums div.bbp-template-notice::before {
  content: '';
  width: 100%;
  height: 100%;
  border-radius: 12px;
  background-color: var(--color-notice-overlay-background-secondary);
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
}

#bbpress-forums #message ul,
#bbpress-forums div.bbp-template-notice ul {
  position: relative;
  z-index: 2;
}

#bbpress-forums #message ul li,
#bbpress-forums div.bbp-template-notice ul li {
  margin: 0 0 4px 0 !important;
  padding: 0;
  color: var(--color-text);
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 500;
  line-height: 1.2857142857em;
}

#bbpress-forums #message ul li:last-child,
#bbpress-forums div.bbp-template-notice ul li:last-child {
  margin-bottom: 0 !important;
}

#bbpress-forums #message .bbp-forum-description,
#bbpress-forums div.bbp-template-notice .bbp-forum-description {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}

#bbpress-forums #message .bbp-forum-description a,
#bbpress-forums div.bbp-template-notice .bbp-forum-description a {
  margin: 0 4px;
  color: var(--color-text);
  font-weight: 700;
}

#bbpress-forums #message .bbp-forum-description a:hover,
#bbpress-forums div.bbp-template-notice .bbp-forum-description a:hover {
  color: var(--color-primary-dark);
}

#bbpress-forums #message .bbp-forum-description .bbp-forum-description-author,
#bbpress-forums div.bbp-template-notice .bbp-forum-description .bbp-forum-description-author {
  display: flex;
  align-items: center;
}

#bbpress-forums #message .bbp-forum-description .bbp-forum-description-author .bbp-forum-description-author-avatar,
#bbpress-forums div.bbp-template-notice .bbp-forum-description .bbp-forum-description-author .bbp-forum-description-author-avatar {
  margin-left: 6px;
}

#bbpress-forums #message .bbp-forum-description .bbp-forum-description-author .bbp-forum-description-author-title,
#bbpress-forums div.bbp-template-notice .bbp-forum-description .bbp-forum-description-author .bbp-forum-description-author-title {
  margin: 0;
}

#bbpress-forums div.bbp-template-notice {
  margin: 32px 0;
}

#bbpress-forums #message p {
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 500;
  line-height: 1.2857142857em;
}

#bbpress-forums .bbp-pagination {
  float: none;
  display: flex;
  justify-content: space-between;
  margin-top: 32px;
}

#bbpress-forums .bbp-pagination .bbp-pagination-count {
  float: none;
  color: var(--color-text-alt);
  font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 500;
}

#bbpress-forums .bbp-pagination .bbp-pagination-links {
  float: none;
  display: -ms-flexbox;
  display: flex;
}

#bbpress-forums .bbp-pagination .bbp-pagination-links a,
#bbpress-forums .bbp-pagination .bbp-pagination-links span {
  float: none;
  height: 22px;
  margin: 0 6px 0 0;
  padding: 0 8px;
  background-color: var(--color-box-background);
  border-radius: 6px;
  border: none;
  color: var(--color-text);
  font-size: calc((12 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 700;
  line-height: 22px;
  box-shadow: var(--color-overbox-shadow);
}

#bbpress-forums .bbp-pagination .bbp-pagination-links a:hover,
#bbpress-forums .bbp-pagination .bbp-pagination-links span:hover {
  color: var(--color-primary-dark);
}

#bbpress-forums .bbp-pagination .bbp-pagination-links a:last-child,
#bbpress-forums .bbp-pagination .bbp-pagination-links span:last-child {
  margin-right: 0;
}

#bbpress-forums .bbp-pagination .bbp-pagination-links span.current {
  background-color: var(--color-primary);
  border: none;
  color: #fff;
  opacity: 1;
}

#bbpress-forums .bbp-topic-pagination {
  display: -ms-flexbox;
  display: flex;
  margin: 6px 0 0 0;
}

#bbpress-forums .bbp-topic-pagination .page-numbers {
  height: 22px;
  margin: 0 6px 0 0;
  padding: 0 8px;
  background-color: var(--color-box-background);
  border-radius: 6px;
  border: none;
  font-size: calc((12 / var(--vikinger-font-size-base)) * 1rem);
  font-weight: 700;
  line-height: 22px;
  box-shadow: var(--color-overbox-shadow);
}

#bbpress-forums .bbp-topic-pagination .page-numbers.dots {
  background-color: transparent;
  box-shadow: none;
}

#bbpress-forums .bbp-topic-pagination .page-numbers.dots:hover {
  background-color: transparent;
  color: var(--color-text);
}

#bbpress-forums .bbp-topic-pagination .page-numbers:hover {
  background-color: var(--color-box-background);
  border: none;
  color: var(--color-primary-dark);
  opacity: 1;
}

#bbpress-forums .bbp-topic-pagination .page-numbers:last-child {
  margin-right: 0;
}

#bbpress-forums ul.bbp-forums,
#bbpress-forums ul.bbp-topics {
  margin: 16px 0 0 0;
  border: none;
}

#bbpress-forums ul.bbp-forums li,
#bbpress-forums ul.bbp-topics li {
  color: var(--color-text);
}

#bbpress-forums ul.bbp-forums li.bbp-forum-info {
  width: 50%;
}

#bbpress-forums ul.bbp-forums li.bbp-forum-topic-count, #bbpress-forums ul.bbp-forums li.bbp-forum-reply-count {
  padding: 0 46px;
}

#bbpress-forums ul.bbp-forums li.bbp-forum-freshness {
  width: 30%;
  padding-left: 60px;
}

#bbpress-forums ul.bbp-topics li.bbp-topic-title {
  width: 50%;
}

#bbpress-forums ul.bbp-topics li.bbp-topic-voice-count, #bbpress-forums ul.bbp-topics li.bbp-topic-reply-count {
  padding: 0 46px;
}

#bbpress-forums ul.bbp-topics li.bbp-topic-freshness {
  width: 30%;
  padding-left: 60px;
}

/**
 * 1.1. bbPress Overrides - Media Queries
 */
@media screen and (max-width: 1260px) {
  #bbpress-forums ul.bbp-forums li.bbp-forum-info {
    width: 70%;
  }

  #bbpress-forums ul.bbp-forums li.bbp-forum-topic-count, #bbpress-forums ul.bbp-forums li.bbp-forum-reply-count {
    width: 15%;
  }

  #bbpress-forums ul.bbp-forums li.bbp-forum-freshness {
    display: none;
  }

  #bbpress-forums ul.bbp-topics li.bbp-topic-title {
    width: 70%;
  }

  #bbpress-forums ul.bbp-topics li.bbp-topic-voice-count, #bbpress-forums ul.bbp-topics li.bbp-topic-reply-count {
    width: 15%;
  }

  #bbpress-forums ul.bbp-topics li.bbp-topic-freshness {
    display: none;
  }

  #bbpress-forums .vikinger-forum-replies {
    display: flex;
    flex-wrap: nowrap;
    flex-direction: column;
  }

  #bbpress-forums .vikinger-forum-replies .vikinger-forum-replies-posts {
    width: 100%;
    margin-right: 0;
    margin-top: 16px;
    order: 2;
  }

  #bbpress-forums .vikinger-forum-replies .vikinger-forum-replies-sidebar {
    width: 100%;
    margin-top: 0;
    order: 1;
  }

  #bbpress-forums .vikinger-forum-topic-tags {
    font-size: calc((14 / var(--vikinger-font-size-base)) * 1rem);
  }
}

@media screen and (max-width: 960px) {
  #bbpress-forums .vikinger-forum-search-bar .section-filters-bar-actions.full {
    display: block;
  }

  #bbpress-forums .vikinger-forum-search-bar .section-filters-bar-actions .form + .button {
    margin: 16px 0 0;
  }

  #bbpress-forums .vikinger-forum-search-bar .section-filters-bar-actions #subscription-toggle {
    margin: 16px 0 0;
  }

  #bbpress-forums ul.bbp-forums li.bbp-forum-topic-count, #bbpress-forums ul.bbp-forums li.bbp-forum-reply-count {
    padding: 0 22px;
  }

  #bbpress-forums ul.bbp-forums li.bbp-body ul.forum .vikinger-forum-info-wrap {
    display: block;
  }

  #bbpress-forums ul.bbp-forums li.bbp-body ul.forum .vikinger-forum-info-wrap .vikinger-forum-thumbnail,
  #bbpress-forums ul.bbp-forums li.bbp-body ul.forum .vikinger-forum-info-wrap .user-avatar,
  #bbpress-forums ul.bbp-forums li.bbp-body ul.forum .vikinger-forum-info-wrap .user-avatar-circle {
    margin-right: 0;
    margin-bottom: 12px;
  }

  #bbpress-forums ul.bbp-topics li.bbp-topic-voice-count, #bbpress-forums ul.bbp-topics li.bbp-topic-reply-count {
    padding: 0 22px;
  }
}

@media screen and (max-width: 480px) {
  #bbpress-forums ul.bbp-forums li.bbp-forum-info {
    width: 100%;
  }

  #bbpress-forums ul.bbp-forums li.bbp-forum-topic-count, #bbpress-forums ul.bbp-forums li.bbp-forum-reply-count {
    display: none;
  }

  #bbpress-forums ul.bbp-topics li.bbp-topic-title {
    width: 100%;
  }

  #bbpress-forums ul.bbp-topics li.bbp-topic-voice-count, #bbpress-forums ul.bbp-topics li.bbp-topic-reply-count {
    display: none;
  }

  #bbpress-forums div.bbp-search-form input[type="text"] {
    padding: 0 82px 0 18px;
  }

  #bbpress-forums .bbp-pagination {
    display: block;
  }

  #bbpress-forums .bbp-pagination .bbp-pagination-count {
    text-align: center;
  }

  #bbpress-forums .bbp-pagination .bbp-pagination-links {
    justify-content: flex-end;
    margin-top: 16px;
  }

  #bbpress-forums div.bbp-topic-header .bbp-meta .bbp-topic-post-date {
    float: none;
  }

  #bbpress-forums li.bbp-body div.hentry {
    display: block;
  }

  #bbpress-forums li.bbp-body div.bbp-topic-author,
  #bbpress-forums li.bbp-body div.bbp-reply-author {
    align-items: flex-start;
    width: 100%;
    margin: 0 0 16px;
    padding: 0 0 16px;
    border-bottom: 1px solid var(--color-divider);
    box-sizing: border-box;
  }
}

@media screen and (max-width: 320px) {
  #bbpress-forums ul.bbp-forums li.bbp-forum-info {
    text-align: left;
  }

  #bbpress-forums ul.bbp-topics li.bbp-topic-title {
    text-align: left;
  }
}